# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++
# END SourceDeps(oneline)
Summary(uk_UA.KOI8-U): MacMolPlt -  צ̦æ 
Summary(ru_RU.KOI8-R): MacMolPlt -   
Name: wxmacmolplt
Version: 7.4.4
Release: alt1_1
Group: Engineering
Summary: A graphics program for plotting 3-D molecular structures and normal modes
License: GPLv2+
URL: http://www.scl.ameslab.gov/~brett/MacMolPlt/
Source0: http://www.scl.ameslab.gov/~brett/MacMolPlt/download/wxmacmolplt-%{version}.tar.gz
Source1: http://www.scl.ameslab.gov/~brett/MacMolPlt/MacMolPltIcon.gif
Source2: %{name}.desktop
BuildRequires: %{_bindir}/convert
BuildRequires: desktop-file-utils
BuildRequires: libglew-devel
BuildRequires: wxGTK-devel >= 2.6.3
Requires: icon-theme-hicolor
Source44: import.info

%description
MacMolPlt is:
* A modern graphics program for plotting 3-D molecular structures and
  normal modes (vibrations). Modern means:
  o Mouse driven interface for real-time rotation and translation.
  o copy and paste functionality for interfacing to other programs such
    as word processors or other graphics programs (like ChemDraw).
  o simple printing to color or black and white printers (publication
    quality).
  o multiple files open at once.
* It reads a variety of file formats including any GAMESS input, log or
  IRC file directly to create animations of IRC's, DRC's, and
  optimizations. You may also import a $VEC group from any file (such as
  a GAMESS .DAT file). In addition xMol XYZ files, MolDen format files
  and Chemical Markup Language (CML) files are supported. Also some PDB
  file support and MDL MolFile support is included.


%description -l ru_RU.KOI8-R
wxMacMolPlt        GAMESS  PC GAMESS


%description -l uk_UA.KOI8-U
wxMacMolPlt   צ̦æ     GAMESS  PCGAMESS

%define _desktop_cat Edutainment/Science

%prep
%setup -q
convert %{SOURCE1} wxmacmolplt.png

%build
%configure --docdir=%{_datadir}/doc/%{name}-%{version}
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
install -Dpm644 wxmacmolplt.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
desktop-file-install --dir=%{buildroot}%{_datadir}/applications %{SOURCE2}

%files
%doc LICENSE
%{_bindir}/wxmacmolplt
%{_mandir}/man1/wxmacmolplt.1*
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/128x128/apps/wxmacmolplt.png
%{_datadir}/wxmacmolplt

%changelog
* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 7.4.4-alt1_1
- initial fc import

* Fri Dec 12 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt5
- update buildreq tag in spec

* Thu Dec 11 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt4
- add new buildreq tag to spec
- fix build

* Tue Nov 11 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt3
- Fix desktop file

* Thu Nov 06 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt2.M41.1
- backport to M41
- 7.2.1-alt2

* Mon Nov 03 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt2
- applied patch wxmacmolplt-al2.patch to fix build in Sisyphus

* Sat Jul 26 2008 Pavel V. Solntsev <p_solntsev@altlinux.org> 7.2.1-alt1
- First build pakage for ALT Linux

